<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Grid Exercise 2</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: grid;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
        }

        #container>div{
            border: 1px solid dodgerblue;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #main-nav {
            grid-row: 1 / 5;
        }

        @media (max-width: 600px) {
            #container {
                grid-template-columns: 1fr;
                grid-template-rows: 100px 75px 100px auto 50px;
            }

            #header {
                grid-row: 1 / 2;
            }

            #footer {
                grid-row: 2 / 3;
            }

            #main-nav {
                grid-row: 3 / 4;
            }

            #main {
                grid-row: 4 / 5;
            }
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="top-nav">Top Navigation</div>
        <div id="main-nav">Main Navigation</div>
        <div id="main">Main</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>